Filter Functions
filter_id
Filter Functions
PHP Manual

# filter_has_var

(PHP 5 >= 5.2.0)

filter_has_var — Checks if variable of specified type exists

### Description

bool filter_has_var ( int `$type` , string `$variable_name` )

### Parameters

`type`

  One of `INPUT_GET`, `INPUT_POST`, `INPUT_COOKIE`, `INPUT_SERVER`, or `INPUT_ENV`.

`variable_name`

  Name of a variable to check.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

Filter Functions
filter_id
Filter Functions
PHP Manual